%define Summary Atomix-style arcade game

Summary:	%{Summary}
Name:		lmarbles
Version:	1.0.7
Release:	%mkrel 4
Epoch:		1
License:	GPL
Group:		Games/Boards
URL:		http://lgames.sourceforge.net/index.php?project=LMarbles
Source0:	http://lgames.sourceforge.net/marbleslgames/%{name}-%{version}.tar.bz2
Source1:	%{name}16.png
Source2:	%{name}32.png
Source3:	%{name}48.png
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:	SDL-devel libSDL_mixer-devel XFree86-devel alsa-lib-devel
BuildRequires:	filesystem esound-devel texinfo
Provides:	marbles
Obsoletes:	marbles
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
LMarbles is very similar to Atomix and was heavily inspired by it. Goal is to
create a more or less complex figure out of single marbles within a time limit
to reach the next level. Sounds easy? Well, there is a problem: If a marble
starts to move it will not stop until it hits a wall or marble. And to make it
even more interesting there are obstacles like arrows, crumbling walls and
teleports!

%prep

%setup -q

%build
%configure \
    --localstatedir=%{_localstatedir}/games \
    --datadir=%{_gamesdatadir}
%make

%install
rm -rf %{buildroot}

%makeinstall inst_dir="%{buildroot}%{_gamesdatadir}/%{name}" prf_dir="%{buildroot}%{_localstatedir}/games" bindir="%{buildroot}%{_gamesbindir}"

install -D -m644 %SOURCE1 %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE2 %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE3 %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%{name}): \
needs=x11 \
section="More Applications/Games/Boards" \
title="Marbles" \
longtitle="%{Summary}" \
command="%{_gamesbindir}/%{name}" \
icon="%{name}.png" \
xdg="true"
EOF

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Marbles
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
Encoding=UTF-8
EOF

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%attr(2755,root,games) %{_gamesbindir}/*
%attr(0664,games,games) %{_localstatedir}/games/%{name}.prfs
%{_gamesdatadir}/%{name}
%{_mandir}/man6/*
%{_menudir}/*
%{_iconsdir}/*
%{_miconsdir}/*
%{_liconsdir}/*
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Mon Mar 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-4mdv2007.1
+ Revision: 146621
- fix summary

* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-3mdv2007.1
+ Revision: 146108
- Import lmarbles



* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-3mdv2007.1
- use the %%mrel macro
- fix the xdg menu stuff

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.7-2mdk
- Rebuild

* Thu Jan 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.0.7-1mdk
- New version.
- Renamed to lmarbles.

* Mon Aug 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.0.5-4mdk
- Fix menu again

* Fri Aug 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.0.5-3mdk
- rebuild.
- change menu section.

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.5-2mdk
- buildrequires

* Wed Oct 16 2002 Franois Pons <fpons@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5.

* Fri Jul 19 2002 Franois Pons <fpons@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4.

* Fri May  3 2002 Pixel <pixel@mandrakesoft.com> 1.0.2-2mdk
- rebuild for new libasound

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2.

* Fri Feb 08 2002 Franois Pons <fpons@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1.

* Mon Jan 21 2002 Stefan van der Eijk <stefan@eijk.nu> 010307-5mdk
- BuildRequires

* Wed Nov 07 2001 Franois Pons <fpons@mandrakesoft.com> 010307-4mdk
- added url tag.

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 010307-3mdk
- build release, updated distrution tag.

* Fri May 18 2001 Franois Pons <fpons@mandrakesoft.com> 010307-2mdk
- update to use libSDL 1.2.

* Fri Apr 27 2001 Franois Pons <fpons@mandrakesoft.com> 010307-1mdk
- created patch to install man pages correctly (uggly).
- update to 010307.

* Fri Jan 13 2001 David BAUDNS <baudens@mandrakesoft.com> 001211-2mdk
- BuildRequires: libSDL1.1-devel

* Wed Dec 20 2000 Franois Pons <fpons@mandrakesoft.com> 001211-1mdk
- initial release
